| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cutlass::Array< T, N, true >::reverse_iterator Class Reference

Bidirectional iterator over elements.

`#include <array.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | reverse_iterator ()
CUTLASS_HOST_DEVICE | reverse_iterator (T *_ptr)
CUTLASS_HOST_DEVICE reverse_iterator & | operator++ ()
CUTLASS_HOST_DEVICE reverse_iterator & | operator-- ()
CUTLASS_HOST_DEVICE reverse_iterator | operator++ (int)
CUTLASS_HOST_DEVICE reverse_iterator | operator-- (int)
CUTLASS_HOST_DEVICE T & | operator* () const
CUTLASS_HOST_DEVICE bool | operator== (reverse_iterator const &other) const
CUTLASS_HOST_DEVICE bool | operator!= (reverse_iterator const &other) const

## Constructor & Destructor Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, true >::reverse_iterator::reverse_iterator | ( |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, true >::reverse_iterator::reverse_iterator | ( | T * | _ptr | ) |
| inline

## Member Function Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE bool cutlass::Array< T, N, true >::reverse_iterator::operator!= | ( | reverse_iterator const & | other | ) | const
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE T& cutlass::Array< T, N, true >::reverse_iterator::operator* | ( |  | ) | const
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE reverse_iterator& cutlass::Array< T, N, true >::reverse_iterator::operator++ | ( |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE reverse_iterator cutlass::Array< T, N, true >::reverse_iterator::operator++ | ( | int |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE reverse_iterator& cutlass::Array< T, N, true >::reverse_iterator::operator-- | ( |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE reverse_iterator cutlass::Array< T, N, true >::reverse_iterator::operator-- | ( | int |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE bool cutlass::Array< T, N, true >::reverse_iterator::operator== | ( | reverse_iterator const & | other | ) | const
| inline

The documentation for this class was generated from the following file:

- array.h